Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_ProxyConsumer Class Template Reference

`#include <Notify_ProxyConsumer_T.h>`

Inheritance diagram for TAO_Notify_ProxyConsumer:

[legend]
Collaboration diagram for TAO_Notify_ProxyConsumer:

[legend]
List of all members.

## Public Methods
| TAO_Notify_ProxyConsumer (TAO_Notify_SupplierAdmin_i *supplier_admin)
virtual | ~TAO_Notify_ProxyConsumer (void)
void | init (CosNotifyChannelAdmin::ProxyID myID ACE_ENV_ARG_DECL)
virtual CORBA::Boolean | evaluate_filter (TAO_Notify_Event &event ACE_ENV_ARG_DECL)
TAO_Notify_Worker_Task * | filter_eval_task (void)
virtual CosNotifyChannelAdmin::SupplierAdmin_ptr | MyAdmin (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotification::EventTypeSeq * | obtain_subscription_types (CosNotifyChannelAdmin::ObtainInfoMode mode ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual void | offer_change (const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyComm::InvalidEventType )
virtual void | set_qos (const CosNotification::QoSProperties &qos ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
## Protected Methods
void | on_connected (ACE_ENV_SINGLE_ARG_DECL)
void | on_disconnected (ACE_ENV_SINGLE_ARG_DECL)
## Protected Attributes
TAO_Notify_SupplierAdmin_i * | supplier_admin_
TAO_Notify_Worker_Task * | filter_eval_task_

### template<class SERVANT_TYPE>
class TAO_Notify_ProxyConsumer< SERVANT_TYPE >

## Constructor & Destructor Documentation

template<class SERVANT_TYPE>
TAO_Notify_ProxyConsumer< SERVANT_TYPE >::TAO_Notify_ProxyConsumer | ( | TAO_Notify_SupplierAdmin_i * | supplier_admin | ) |

template<class SERVANT_TYPE>
TAO_Notify_ProxyConsumer< SERVANT_TYPE >::~TAO_Notify_ProxyConsumer | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<class SERVANT_TYPE>
CORBA::Boolean TAO_Notify_ProxyConsumer< SERVANT_TYPE >::evaluate_filter | ( | TAO_Notify_Event &event | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Reimplemented from TAO_Notify_EventSource.

template<class SERVANT_TYPE>
TAO_Notify_Worker_Task * TAO_Notify_ProxyConsumer< SERVANT_TYPE >::filter_eval_task | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Notify_EventSource.

template<class SERVANT_TYPE>
void TAO_Notify_ProxyConsumer< SERVANT_TYPE >::init | ( | CosNotifyChannelAdmin::ProxyID myID | ACE_ENV_ARG_DECL | ) |

template<class SERVANT_TYPE>
CosNotifyChannelAdmin::SupplierAdmin_ptr TAO_Notify_ProxyConsumer< SERVANT_TYPE >::MyAdmin | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
CosNotification::EventTypeSeq * TAO_Notify_ProxyConsumer< SERVANT_TYPE >::obtain_subscription_types | ( | CosNotifyChannelAdmin::ObtainInfoMode mode | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
void TAO_Notify_ProxyConsumer< SERVANT_TYPE >::offer_change | ( | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotifyComm::InvalidEventType )`[virtual]`

template<class SERVANT_TYPE>
void TAO_Notify_ProxyConsumer< SERVANT_TYPE >::on_connected | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected]`

template<class SERVANT_TYPE>
void TAO_Notify_ProxyConsumer< SERVANT_TYPE >::on_disconnected | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected]`

template<class SERVANT_TYPE>
void TAO_Notify_ProxyConsumer< SERVANT_TYPE >::set_qos | ( | const CosNotification::QoSProperties &qos | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

| Reimplemented from TAO_Notify_Proxy.

## Member Data Documentation

template<class SERVANT_TYPE>
TAO_Notify_Worker_Task* TAO_Notify_ProxyConsumer::filter_eval_task_`[protected]`

template<class SERVANT_TYPE>
TAO_Notify_SupplierAdmin_i* TAO_Notify_ProxyConsumer::supplier_admin_`[protected]`

The documentation for this class was generated from the following files:

- Notify_ProxyConsumer_T.h
- Notify_ProxyConsumer_T.cpp